## com.lowagie.text.rtf.document
Class RtfInfoGroup

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.document.RtfInfoGroup

All Implemented Interfaces:
  RtfBasicElement

    public class RtfInfoGroup

extends RtfElement

The RtfInfoGroup stores information group elements.

Version:
  $Version:$
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`private static byte[]` `INFO_GROUP` Information group starting tag
`(package private) java.util.ArrayList` `infoElements` The RtfInfoElements that belong to this RtfInfoGroup

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfInfoGroup(RtfDocument doc)` Constructs a RtfInfoGroup belonging to a RtfDocument

Method Summary
`void` `add(RtfInfoElement infoElement)` Adds an RtfInfoElement to the RtfInfoGroup
`byte[]` `write()` Writes the RtfInfoGroup and its RtfInfoElement elements.

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INFO_GROUP

    private static final byte[] INFO_GROUP

  Information group starting tag

### infoElements

    java.util.ArrayList infoElements

  The RtfInfoElements that belong to this RtfInfoGroup

Constructor Detail

### RtfInfoGroup

    public RtfInfoGroup(RtfDocument doc)

  Constructs a RtfInfoGroup belonging to a RtfDocument

  Parameters:
    `doc` - The RtfDocument this RtfInfoGroup belongs to

Method Detail

### add

    public void add(RtfInfoElement infoElement)

  Adds an RtfInfoElement to the RtfInfoGroup

  Parameters:
    `infoElement` - The RtfInfoElement to add

### write

    public byte[] write()

  Writes the RtfInfoGroup and its RtfInfoElement elements.

  Specified by:
    `write` in interface `RtfBasicElement`
  Overrides:
    `write` in class `RtfElement`
  Returns:
    A byte array containing the group and its elements